package com.srs.comprehensive.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.common.core.domain.AjaxResult;
import com.srs.comprehensive.domain.KnzzGlApply;
import com.srs.comprehensive.domain.KnzzZzqApply;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * 自治区人民政府奖学金Service接口
 *
 * @author srs
 * @date 2025-05-12
 */
public interface IKnzzZzqApplyService extends IService<KnzzZzqApply> {


    public AjaxResult doReApply(KnzzZzqApply param);

    public List<KnzzZzqApply> listView(KnzzZzqApply param);


    public AjaxResult doApply( KnzzZzqApply param);

    public AjaxResult doCancel(Long id);
    public AjaxResult doEdit(KnzzZzqApply param) ;
    public AjaxResult doAudit(KnzzZzqApply param);

    public AjaxResult doMany(List<KnzzZzqApply> param);


    /**
     * 查询自治区人民政府奖学金
     *
     * @param id 自治区人民政府奖学金主键
     * @return 自治区人民政府奖学金
     */
    public KnzzZzqApply selectKnzzZzqApplyById(Long id);

    /**
     * 查询自治区人民政府奖学金列表
     *
     * @param knzzZzqApply 自治区人民政府奖学金
     * @return 自治区人民政府奖学金集合
     */
    List<KnzzZzqApply> selectKnzzZzqApplyList(KnzzZzqApply knzzZzqApply);

    /**
     * 新增自治区人民政府奖学金
     *
     * @param knzzZzqApply 自治区人民政府奖学金
     * @return 结果
     */
    int insertKnzzZzqApply(KnzzZzqApply knzzZzqApply);

    /**
     * 修改自治区人民政府奖学金
     *
     * @param knzzZzqApply 自治区人民政府奖学金
     * @return 结果
     */
    int updateKnzzZzqApply(KnzzZzqApply knzzZzqApply);

    /**
     * 批量删除自治区人民政府奖学金
     *
     * @param ids 需要删除的自治区人民政府奖学金主键集合
     * @return 结果
     */
    int deleteKnzzZzqApplyByIds(Long[] ids);

    /**
     * 删除自治区人民政府奖学金信息
     *
     * @param id 自治区人民政府奖学金主键
     * @return 结果
     */
    int deleteKnzzZzqApplyById(Long id);
}
